Company logoTrust Center Documentation
API v1 ReferenceAccountsIdDocuments

Update account document access

Update which documents are shared with a specific account. Supports bulk addition and removal of document access.

PATCH
/api/v1/accounts/{id}/documents

Update which documents are shared with a specific account. Supports bulk addition and removal of document access.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Account ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "550e8400-e29b-41d4-a716-446655440001",      "550e8400-e29b-41d4-a716-446655440002",      "550e8400-e29b-41d4-a716-446655440003"    ]  }'
{  "success": true,  "data": {    "shared_count": 0,    "message": "string"  }}

How is this guide?